
QGIS Application - Bug report #20770

Grid annotations on right side are incorrectly placed and oriented

2018-12-11 10:02 AM - Michel Speiser

Status: Closed

Priority: High

Assignee:

Category: Decorations

Affected QGIS version:3.4.2 Regression?: Yes

Operating System: El Capitan Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 28590

Description

When enabling a coordinate grid in View > Decorations > Grid,

and enabling "Draw Annotation",

the coordinate labels on the right side: * have an incorrect distance to map frame. Also, when increasing this distance, the annotations

move up instead of left. * behave incorrectly when choosing "Annotation direction: Horizontal and Vertical" and "Annotation direction:

Boundary direction"

In short, it seems like the right hand side labels are configured like top or bottom, rather than like left.

Probably a simple fix.

History

#1 - 2018-12-11 11:20 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Easy fix? changed from Yes to No

Do they work as expected on 2.18?

#2 - 2018-12-11 11:23 AM - Michel Speiser

Giovanni Manghi wrote:

Do they work as expected on 2.18?

Yes, in 2.18 it works as expected.

#3 - 2018-12-11 11:25 AM - Giovanni Manghi

- Priority changed from Normal to High

- Regression? changed from No to Yes

- Status changed from Feedback to Open

#4 - 2018-12-11 12:04 PM - Nyall Dawson

- Status changed from Open to Feedback

Please test with 3.4 nightlies - this has likely already been fixed.
#5 - 2019-03-09 10:02 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Closing for lack of feedback.
